using System;
class Program {
  static void Main () {

      int x = int.Parse(Console.ReadLine());
      int y = int.Parse(Console.ReadLine());

      int n1 = x % 10;
      int m1 = y % 10;
      int n2 = x/10 % 10;
      int m2 = y/10 % 10;

      int cj = 0;
      int cd = 0;
      int cs = 0;
      int ch = 0;
    
      if (n2>m2) {
          cd = n2;
          }

      if (n2<m2) {
          cd = m2;
          }

      if (n2=m2) {
          cd = n2;
          cs = n2;
          }

      if (n1>m1){
         cj = n1;
         }

      if (n1<m1){
         cj = m1;
         }

      if (n1=m1){
        cj = n1;
        cd = n1;
        cs = n2;
        }

      if (n2 = m2){
        ch = n2;
        }

      int rezultat = cj + cd * 10 + cs * 100 + ch * 1000;

        Console.WriteLine(rezultat);
 }
}